Page MenuHomePhabricator

Ogg audio transcoding is forced to nearly lowest possible quality
Closed, ResolvedPublic

Description

When a flac file is uploaded to Commons, it gets transcoded to ogg for playback at nearly lowest possible quality with the -q 1 ffmpeg option. From ffmpeg wiki:

-qscale:a – audio quality. Range is 0–10, where 10 is highest quality. 3–6 is a good range to try. Default is -qscale:a 3

Oggenc's default is also 3 and is a good compromise between quality and size. The current setting produces files at ~70 kbps which is unacceptably low especially for classical music recordings.

Details

Related Gerrit Patches:

Event Timeline

Yury_Bulka raised the priority of this task from to Medium.
Yury_Bulka updated the task description. (Show Details)
Yury_Bulka added a project: TimedMediaHandler.
Yury_Bulka added a subscriber: Yury_Bulka.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2016, 12:53 AM
Bawolff set Security to None.Jan 21 2016, 12:56 AM
Bawolff added a subscriber: TheDJ.
Bawolff added a subscriber: Bawolff.
Base added a subscriber: Base.Jan 21 2016, 8:53 AM

Change 265915 had a related patch set uploaded (by Setthemfree):
Change the ogg audio quality from 1 to 3 (ffmpeg's and oggenc's default)

https://gerrit.wikimedia.org/r/265915

TheDJ added a comment.Jan 26 2016, 1:09 PM

Hmm, I think this might be a sane change. Note that this will not automatically cause existing flac files to be reprocessed.

Yury_Bulka added a comment.EditedJan 28 2016, 11:14 AM

I would highly appreciate if someone could merge it (unless there are any side effects to consider, which I don't see here - but I may be wrong). There is a pile of FLAC files uploaded recently that I can't really use on wikis because of the low playback quality. It starts to cause unnecessary delay in some WMUA projects.

Change 265915 merged by jenkins-bot:
Change the ogg audio quality from 1 to 3 (ffmpeg's and oggenc's default)

https://gerrit.wikimedia.org/r/265915

TheDJ closed this task as Resolved.Jan 28 2016, 5:57 PM
TheDJ claimed this task.
TheDJ removed a project: Patch-For-Review.